lxi_connect(3)

NAME
lxi_connect - connect to LXI device

SYNOPSIS

#include <lxi.h> int lxi_connect(char *address, int port, char *name, int timeout, lxi_protocol_t protocol);

DESCRIPTION

The lxi_connect() function connects to a LXI device with name at IP address pointed to by address

If name is NULL then the default name "inst0" will be used.

protocol is either VXI11 or RAW.

If protocol is RAW then port will be used as destination port.

The timeout is in milliseconds.

RETURN VALUE
Upon successful completion lxi_connect() returns a new connection handle, or LXI_ERROR if an error occurred.

SEE ALSO
lxi_send(3), lxi_receive(3), lxi_disconnect(3),